# classes/phing/util/regexp/RegexpEngine.php

Contains some shared attributes and methods -- and some abstract methods with engine-specific implementations that sub-classes must override.

author
  Hans Lellelid
package
  phing.util.regexp
version
  $Revision: 1207 $

## \RegexpEngine
jump to top

Contains some shared attributes and methods -- and some abstract methods with engine-specific implementations that sub-classes must override.

author
  Hans Lellelid
package
  phing.util.regexp
version
  $Revision: 1207 $

### Methods

`getIgnoreCase( ) : boolean`
Returns status of ignore case flag.
Returns

Type | Description
--- | ---
boolean |

`match( string $pattern, string $source, array $matches ) : boolean`
Matches pattern against source string and sets the matches array.
Parameters

Name | Type | Description
--- | --- | ---
$pattern | string | The regex pattern to match.
$source | string | The source string.
$matches | array | The array in which to store matches.

Returns

Type | Description
--- | ---
boolean |

`matchAll( string $pattern, string $source, array $matches ) : boolean`
Matches all patterns in source string and sets the matches array.
Parameters

Name | Type | Description
--- | --- | ---
$pattern | string | The regex pattern to match.
$source | string | The source string.
$matches | array | The array in which to store matches.

Returns

Type | Description
--- | ---
boolean |

`replace( string $pattern, string $replace, string $source ) : string`
Replaces $pattern with $replace in $source string.
Parameters

Name | Type | Description
--- | --- | ---
$pattern | string | The regex pattern to match.
$replace | string | The string with which to replace matches.
$source | string | The source string.

Returns

Type | Description
--- | ---
string |

`setIgnoreCase( boolean $bit ) : void`
Sets whether or not regex operation should ingore case.
Parameters

Name | Type | Description
--- | --- | ---
$bit | boolean |

Documentation was generated by DocBlox 0.13.1.